Bug 1013917 - [abrt] menu-cache-0.4.1-3.fc20: g_key_file_parse_key_value_pair: Process /usr/libexec/menu-cached was killed by signal 11 (SIGSEGV)
[abrt] menu-cache-0.4.1-3.fc20: g_key_file_parse_key_value_pair: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: menu-cache (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:dddfb543c381ddae48d932a9357...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 00:01 EDT by D. Charles Pyle
Modified: 2013-12-10 01:57 EST (History)
1 user (show)

See Also:
Fixed In Version: lxpanel-0.6.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 01:57:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.51 KB, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: cgroup (160 bytes, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: core_backtrace (9.55 KB, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: dso_list (2.16 KB, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: environ (1.50 KB, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: maps (11.02 KB, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: open_fds (1.75 KB, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details
File: var_log_messages (515 bytes, text/plain)
2013-10-01 00:01 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2013-10-01 00:01:01 EDT
Description of problem:
I logged into GNOME Shell as root user and found this message waiting for me.  I have no idea what caused it.

Version-Release number of selected component:
menu-cache-0.4.1-3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/menu-cached
crash_function: g_key_file_parse_key_value_pair
executable:     /usr/libexec/menu-cached
kernel:         3.11.2-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 g_key_file_parse_key_value_pair at gkeyfile.c:1317
 #4 g_key_file_parse_line at gkeyfile.c:1150
 #5 g_key_file_flush_parse_buffer at gkeyfile.c:1413
 #6 g_key_file_parse_data at gkeyfile.c:1370
 #7 g_key_file_load_from_fd at gkeyfile.c:786
 #8 g_key_file_load_from_file at gkeyfile.c:846
 #9 on_file_changed at menu-cached.c:399
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:522
 #12 g_cclosure_marshal_generic_va at gclosure.c:1550
Comment 1 D. Charles Pyle 2013-10-01 00:01:04 EDT
Created attachment 805689 [details]
File: backtrace
Comment 2 D. Charles Pyle 2013-10-01 00:01:06 EDT
Created attachment 805690 [details]
File: cgroup
Comment 3 D. Charles Pyle 2013-10-01 00:01:11 EDT
Created attachment 805691 [details]
File: core_backtrace
Comment 4 D. Charles Pyle 2013-10-01 00:01:14 EDT
Created attachment 805692 [details]
File: dso_list
Comment 5 D. Charles Pyle 2013-10-01 00:01:17 EDT
Created attachment 805693 [details]
File: environ
Comment 6 D. Charles Pyle 2013-10-01 00:01:19 EDT
Created attachment 805694 [details]
File: exploitable
Comment 7 D. Charles Pyle 2013-10-01 00:01:21 EDT
Created attachment 805695 [details]
File: limits
Comment 8 D. Charles Pyle 2013-10-01 00:01:24 EDT
Created attachment 805696 [details]
File: maps
Comment 9 D. Charles Pyle 2013-10-01 00:01:26 EDT
Created attachment 805697 [details]
File: open_fds
Comment 10 D. Charles Pyle 2013-10-01 00:01:28 EDT
Created attachment 805698 [details]
File: proc_pid_status
Comment 11 D. Charles Pyle 2013-10-01 00:01:31 EDT
Created attachment 805699 [details]
File: var_log_messages
Comment 12 Fedora Update System 2013-11-15 18:04:13 EST
lxpanel-0.6.1-1.fc20,lxlauncher-0.2.2-4.fc20,pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20,libfm-1.1.2.2-3.fc20,menu-cache-0.5.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lxpanel-0.6.1-1.fc20,lxlauncher-0.2.2-4.fc20,pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20,libfm-1.1.2.2-3.fc20,menu-cache-0.5.1-1.fc20
Comment 13 Fedora Update System 2013-11-17 02:00:56 EST
Package lxpanel-0.6.1-1.fc20, lxlauncher-0.2.2-4.fc20, pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20, libfm-1.1.2.2-3.fc20, menu-cache-0.5.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxpanel-0.6.1-1.fc20 lxlauncher-0.2.2-4.fc20 pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20 libfm-1.1.2.2-3.fc20 menu-cache-0.5.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21536/lxpanel-0.6.1-1.fc20,lxlauncher-0.2.2-4.fc20,pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20,libfm-1.1.2.2-3.fc20,menu-cache-0.5.1-1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-12-10 01:57:10 EST
lxpanel-0.6.1-3.fc20, lxlauncher-0.2.2-4.fc20, pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20, libfm-1.1.2.2-3.fc20, menu-cache-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.